<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveFirst Method (LockingInfo)
SecondaryCursor Class See Also Send Feedback

Set the cursor to refer to the first key/data pair of the database, and store the secondary key along with the corresponding primary key/data pair in Current. If the first key has duplicate values, the first data item in the set of duplicates is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveFirst(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveFirst ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveFirst(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveFirst Overload
BerkeleyDB Namespace